%{?nodejs_find_provides_and_requires}

%global packagename markdown-it-for-inline

# tests disabled until we can bootstrap npm(markdown-it), as it depends on
# this package and vice-versa
%global enable_tests 0

Name:		nodejs-markdown-it-for-inline
Version:	0.1.1
Release:	1%{?dist}
Summary:	Inline tokens iterator for markdown-it markdown parser

License:	MIT
URL:		https://github.com/markdown-it/markdown-it-for-inline
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(markdown-it)
%endif

%description
Inline tokens iterator for markdown-it markdown parser.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
